
Infrastructure - Task #3364

Story # 3265 (Closed): Implement Query API

Rest API updates for /cn/query/solr/

2012-10-24 18:06 - Skye Roseboom

Status: Closed Start date: 2012-10-24

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_cn_solr_extensions Estimated time: 0.00 hour

Target version: Sprint-2012.44-Block.6.2   

Milestone: CCI-1.1 Story Points:  

Product Version: *   

Description

Restrict to only GET requests

/cn/query/solr/ - return default search results, NOT query search engine description.

History

#1 - 2012-10-24 18:06 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-10-25 03:06 - Skye Roseboom

- Status changed from In Progress to Closed

- Description updated

- translation missing: en.field_remaining_hours set to 0.0

complete, tested on cn-dev.

updated rewrite_cnquery to restrict re-write to GET requests and to have cn/v1/query/solr/ redirect to the search engine endpoint.

updated SearchHandler configuration in solrconfig.xml to create a default query param for when user does not enter a query.  more user-friendly, to

prevent error messages from empty query strings.

#3 - 2012-10-25 03:06 - Skye Roseboom

- Estimated time set to 0.00

- Status changed from Closed to In Progress

complete, tested on cn-dev.

updated rewrite_cnquery to restrict re-write to GET requests and to have cn/v1/query/solr/ redirect to the search engine endpoint.

updated SearchHandler configuration in solrconfig.xml to create a default query param for when user does not enter a query.  more user-friendly, to

prevent error messages from empty query strings.

#4 - 2012-10-25 03:07 - Skye Roseboom
- Status changed from In Progress to Testing

#5 - 2012-10-25 15:10 - Skye Roseboom

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#6 - 2012-12-12 18:20 - Skye Roseboom

- Status changed from Testing to Closed

tested in stage.  works as advertised.
